estclient_brski(1)

NAME

estclient_brski - example EST client application using Bootstrapping Remote Secure Key Infrastructure

OPTIONS

-s server
    Enrollment server IP address

-p port#
    TCP port# for enrollment server

-z
    Force binding the PoP by including the challengePassword in the CSR

-u
    Specify user name for HTTP authentication.

-h
    Specify password for HTTP authentication.

-f
    Runs EST BRSKI Client in FIPS MODE = ON

-c certfile
    Identity certificate to use for the TLS session

-k keyfile
    Use with -c option to specify private key for the identity cert

--srp
    Enable TLS-SRP cipher suites. Use with --srp-user and --srp-password options.

--srp-user string
    Specify the SRP user name.

--srp-password string
    Specify the SRP password.

--auth-token string
    Specify the token to be used with HTTP token authentication.

COPYRIGHT & LICENSE

Copyright (c) 2012-2018 Cisco Systems, Inc. All rights reserved.

License (BSD-3-Clause):

    Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions
    are met:
    Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
    Redistributions in binary form must reproduce the above
      copyright notice, this list of conditions and the following
      disclaimer in the documentation and/or other materials provided
      with the distribution.
    Neither the name of the Cisco Systems, Inc. nor the names of its
      contributors may be used to endorse or promote products derived
      from this software without specific prior written permission.

    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
    "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
    LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
    FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
    COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
    INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
    (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
    SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
    HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
    STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
    ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
    OF THE POSSIBILITY OF SUCH DAMAGE.

AUTHOR

This manpage is based on estclient_brski's usage output and the included documentation. It was written for the Debian project by Christoph Biedl <debian.axhn@manchmal.in-ulm.de> but may be used by others.